#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "IBMz1464VXZ2"
#define ATL_INSTFLAGS "-1 0 -a 2 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_IBMz14 -DATL_CPUMHZ=5200 -DATL_VXZ2 -DATL_USE64BITS -DATL_GAS_S390"
#define ATL_DKCFLAGS "-march=z14 -mtune=z14 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-march=z14 -mtune=z14 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-march=z14 -mtune=z14 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-march=z14 -mtune=z14 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/ATLAS/s390x_z14/include -I/builddir/build/BUILD/ATLAS/s390x_z14/..//include -I/builddir/build/BUILD/ATLAS/s390x_z14/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_IBMz14 -DATL_CPUMHZ=5200 -DATL_VXZ2 -DATL_USE64BITS -DATL_GAS_S390 -m64 -DWALL -DATL_NCPU=4 -march=z14 -mtune=z14 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-march=z14 -mtune=z14 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 13.0.1 20230221 (Red Hat 13.0.1-0)"
#define ATL_SKCVERS "gcc (GCC) 13.0.1 20230221 (Red Hat 13.0.1-0)"
#define ATL_DMCVERS "gcc (GCC) 13.0.1 20230221 (Red Hat 13.0.1-0)"
#define ATL_SMCVERS "gcc (GCC) 13.0.1 20230221 (Red Hat 13.0.1-0)"
#define ATL_ICCVERS "gcc (GCC) 13.0.1 20230221 (Red Hat 13.0.1-0)"
#define ATL_F77VERS "GNU Fortran (GCC) 13.0.1 20230221 (Red Hat 13.0.1-0)"
#define ATL_SYSINFO "Linux 1ec8c511005b47b686a136ee0ed52776 6.1.9-200.fc37.s390x #1 SMP Thu Feb  2 00:08:26 UTC 2023 s390x GNU/Linux"
#define ATL_DATE    "Mon Mar  6 18:16:57 UTC 2023"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
